<?php

/**
 * @file
 * Theme implementation to display an embedded Drupal page.
 *
 * The doctype, html, head and body tags are not in this template. Instead they
 * can be found in the html.tpl.php template in this directory.
 *
 * Available variables:
 *
 * General utility variables:
 * - $base_path: The base URL path of the Drupal installation. At the very
 *   least, this will always default to /.
 * - $directory: The directory the template is located in, e.g. modules/system
 *   or themes/bartik.
 * - $is_front: TRUE if the current page is the front page.
 * - $logged_in: TRUE if the user is registered and signed in.
 * - $is_admin: TRUE if the user has permission to access administration pages.
 *
 * Site identity:
 * - $front_page: The URL of the front page. Use this instead of $base_path,
 *   when linking to the front page. This includes the language domain or
 *   prefix.
 * - $logo: The path to the logo image, as defined in theme configuration.
 * - $site_name: The name of the site, empty when display has been disabled
 *   in theme settings.
 * - $site_slogan: The slogan of the site, empty when display has been disabled
 *   in theme settings.
 *
 * Navigation:
 * - $main_menu (array): An array containing the Main menu links for the
 *   site, if they have been configured.
 * - $secondary_menu (array): An array containing the Secondary menu links for
 *   the site, if they have been configured.
 * - $breadcrumb: The breadcrumb trail for the current page.
 *
 * Page content (in order of occurrence in the default page.tpl.php):
 * - $title_prefix (array): An array containing additional output populated by
 *   modules, intended to be displayed in front of the main title tag that
 *   appears in the template.
 * - $title: The page title, for use in the actual HTML content.
 * - $title_suffix (array): An array containing additional output populated by
 *   modules, intended to be displayed after the main title tag that appears in
 *   the template.
 * - $messages: HTML for status and error messages. Should be displayed
 *   prominently.
 * - $tabs (array): Tabs linking to any sub-pages beneath the current page
 *   (e.g., the view and edit tabs when displaying a node).
 * - $action_links (array): Actions local to the page, such as 'Add menu' on the
 *   menu administration interface.
 * - $feed_icons: A string of all feed icons for the current page.
 * - $node: The node object, if there is an automatically-loaded node
 *   associated with the page, and the node ID is the second argument
 *   in the page's path (e.g. node/12345 and node/12345/revisions, but not
 *   comment/reply/12345).
 *
 * Layout (theme specfic variables):
 * - $has_sidebar: TRUE when there is any content in a sidebar region.
 * - $is_narrow: TRUE when the layout asks for a narrow grid.
 * - $reversed: TRUE when the layout supports displaying the form below the
 *   main content and it is enabled.
 * - $highlighted_grid: "default, "narrow" or "off" to disable the grid in region highlighted.
 * - $bottom_grid: "default, "narrow" or "off" to disable the grid in region bottom.
 *
 * Regions:
 * - $page['help']: Dynamic help text, mostly for admin pages.
 * - $page['highlighted']: Items for the highlighted content region.
 * - $page['top']: Top content displayed before the main content.
 * - $page['content_top']: The top part of the main content.
 * - $page['content']: The main content of the current page.
 * - $page['content_bottom']: The bottom part of the main content.
 * - $page['sidebar_first']: Items for the form region.
 * - $page['sidebar_second']: Other items for the sidebar.
 * - $page['bottom']: Items for the bottom content region.
 * - $page['header']: Items for the header region.
 * - $page['footer']: Items for the footer region.
 * - $page['widget']: Items for the widget region.
 *
 * @see template_preprocess()
 * @see template_preprocess_page()
 * @see template_process()
 * @see html.tpl.php
 */
?>
<?php if ($page['widget']): ?>
  <div class="widget">
    <?php print render($page['widget']); ?>
  </div>
<?php endif; ?>
